package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.OrderAddress;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.OrderAddressMapper")
public interface OrderAddressMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(OrderAddress record);

    OrderAddress selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderAddress record);

    List<OrderAddress> queryAllOrderAddress(OrderAddress record);

    List<OrderAddress> queryOrderAddressByPage(Map<String, Object> parameter);

    int delete(String id);

    OrderAddress queryOrderAddress(OrderAddress record);

    List<OrderAddress> query(OrderAddress record);
}

